Bug 526769 - libvirt logrotate settings should roll over weekly instead of daily
libvirt logrotate settings should roll over weekly instead of daily
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-01 13:46 EDT by Cole Robinson
Modified: 2009-10-06 11:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 11:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2009-10-01 13:46:42 EDT
Since we no longer log qemu monitor output to the /var/log/libvirt/qemu logfile, there isn't much chance of these log files becoming huge in short periods of time. Using aggressive logrotate settings then provides little benefit at the cost of debug ability (for example, bug 524508c#12 ).

I think weekly, biweekly, or even monthly rotation should be enough, maybe removing compression altogether.
Comment 1 Daniel Veillard 2009-10-02 07:22:43 EDT
I would really keep compression in any case, as this leads to no loss of
informations.
Now how much information we keep by default is a trade-off, honestly
keeping them for a week should be sufficient to diagnose problem, but
I would be okay to switch that to weekly and rotate 4 to keep a month
worth of data instead of a week.

Daniel
Comment 2 Daniel Veillard 2009-10-02 07:25:54 EDT
this would also limit the number of entries in that directory, cut this
nearly by half for the same amount of VM, currently there is 8 files
per domain, usually of zero lenght if inactive, and we would lower this
to 5 files but bigger.

Daniel
Comment 3 Mark McLoughlin 2009-10-02 11:43:01 EDT
Yeah, this has been annoying me lately too

Let's switch to weekly
Comment 4 Daniel Veillard 2009-10-02 12:09:35 EDT
I posted the trivial patch upstream

Daniel
Comment 5 Daniel Veillard 2009-10-05 11:09:11 EDT
Okay fixed upstream, it will reach rawhide in a couple of weeks I think

Daniel
Comment 6 Mark McLoughlin 2009-10-05 11:21:18 EDT
We should pull this into F-12 before GA
Comment 7 Mark McLoughlin 2009-10-06 05:46:18 EDT
* Tue Oct  6 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.1-9
- Change logrotate config to weekly (#526769)
Comment 8 Mark McLoughlin 2009-10-06 09:03:31 EDT
tag request : https://fedorahosted.org/rel-eng/ticket/2354
Comment 9 Mark McLoughlin 2009-10-06 11:23:27 EDT
tagged now

Note You need to log in before you can comment on or make changes to this bug.